## $Id: utils.py 13011 2015-05-28 13:00:16Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    SYSTEM_MAX_LOAD = {
        'swap-mem': None,
        'virt-mem': 80.0,
        'cpu-load': 100.0,
        }

    PREFERRED_LANGUAGES_DICT = {
        }

    APP_CATS_DICT = {
        'basic': 'PUTME, PUDE, PCE, PRENCE',
        'no': 'No Application',
        'sandwich': 'Sandwich',
        'cest': 'Part-Time, Diploma, Certificate',
        'dp_ft': 'Diploma Full-Time Programmes',
        'pt_ext': 'Part-Time (extended application)',
        'pg': 'Postgraduate (main advert)',
        'pga': 'Postgraduate (1st supplementary advert)',
        'pgb': 'Postgraduate (2nd supplementary advert)',
        'pgc': 'Postgraduate (3rd supplementary advert)',
        'pg_ft': 'Postgraduate Full-Time (deprecated)',
        'pg_pt': 'Postgraduate Part-Time (deprecated)',
        'pg_ext': 'Postgraduate (extended application, deprecated)',
        'pg_new': 'Postgraduate (supplementary application #1, deprecated)',
        'pg_new2': 'Postgraduate (supplementary application #2, deprecated)',
        }

    # de modes are only used for entry_mode
    MODE_GROUPS = {
        'All':('all',),
        'Undergraduate Full-Time':('ug_ft'), 
        'Undergraduate Part-Time':('ug_pt'),
        'Diploma/Certificate Full-Time':('dp_ft','ct_ft'),
        'Diploma/Certificate Part-Time':('dp_pt','ct_pt'),
        'Postgraduate Full-Time':('pg_ft', 'pgd_ft'),
        'Postgraduate Part-Time':('pg_pt', 'special_pg_pt', 'pgd_pt'),
        }

    PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'clearance': 'Acceptance Fee',
        #'bed_allocation': 'Bed Allocation Fee',
        'hostel_application': 'Hostel Application Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'tempmaint_1': 'Hall 1-4 M/F Ekehuan',
        'tempmaint_2': 'Hall 5 M/F',
        'tempmaint_3': 'Clinical Hostel',
        'transfer': 'Transfer Fee',
        'gown': 'Gown Hire Fee',
        'application': 'Application Fee',
        'transcript': 'Transcript Fee',
        'admission_checking': 'Admission Checking Fee',
        }

    SELECTABLE_PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'clearance': 'Acceptance Fee',
        'hostel_application': 'Hostel Application Fee',
        'tempmaint_1': 'Hall 1-4 M/F Ekehuan Maintenance Fee',
        'tempmaint_2': 'Hall 5 M/F Maintenance Fee',
        'tempmaint_3': 'Clinical Hostel Maintenance Fee',
        'gown': 'Gown Hire Fee',
        'application': 'Application Fee',
        'transcript': 'Transcript Fee',
        }

    SEMESTER_DICT = {
        1: '1st Semester',
        2: '2nd Semester',
        3: 'Combined',
        4: '1st Term',
        5: '2nd Term',
        6: '3rd Term',
        9: 'N/A'
        }

    BALANCE_PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'clearance': 'Clearance Fee',
        }

    EXAM_GRADES = NigeriaKofaUtils.EXAM_GRADES + (('B1', 'B1'), ('P', 'P'),)


